<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package dali
 */

?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'dali_before_site' ); ?>

<?php
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}

?>
<div id="page" class="hfeed site">
	<?php do_action( 'dali_before_header' ); ?>

	<header id="masthead" class="site-header" role="banner">

		<?php
		do_action( 'dali_header' );
		?>

	</header><!-- #masthead -->

	<?php
	/**
	 * Functions hooked in to dali_before_content
	 */
	do_action( 'dali_before_content' );
	?>

	<div id="content" class="site-content" tabindex="-1">

		<?php
		do_action( 'dali_content_top' );
