<?php
/**
 * Vodi template functions.
 *
 * @package vodi
 */
 
require_once get_template_directory() . '/inc/masvideos/template-tags.php';


if ( ! function_exists( 'dali_paging_nav' ) ) {
    /**
     * Display navigation to next/previous set of posts when applicable.
     */
    function dali_paging_nav() {
        global $wp_query;

        $args = array(
            'type'      => 'list',
            'next_text' => _x( 'Next', 'Next post', 'dali' ),
            'prev_text' => _x( 'Previous', 'Previous post', 'dali' ),
        );

        the_posts_pagination( $args );
    }
}

if ( ! function_exists( 'dali_display_comments' ) ) {
    /**
     * Dali display comments
     *
     * @since  1.0.0
     */
    function dali_display_comments() {
        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || 0 !== intval( get_comments_number() ) ) :
            comments_template();
        endif;
    }
}

if ( ! function_exists( 'dali_page_content' ) ) {
    /**
     * Display the post content
     *
     * @since 1.0.0
     */
    function dali_page_content() {
        ?>
        <div class="entry-content">
            <?php the_content(); ?>
            <?php
                wp_link_pages(
                    array(
                        'before' => '<div class="page-links">' . __( 'Pages:', 'dali' ),
                        'after'  => '</div>',
                    )
                );
            ?>
        </div><!-- .entry-content -->
        <?php
    }
}

