<?php
/**
 * Template functions for loop
*/

/**
 * Movie loop items.
*/
if ( ! function_exists( 'dali_template_loop_movie_item_open' ) ) {

    /**
     * Movie meta close in the movie meta.
     */
    function dali_template_loop_movie_item_open() {
        ?>
        <div class="space-y-2.5 movie-inner mb-6">
        <?php
    }
}

if ( ! function_exists( 'dali_get_movie_loop_thumbnail' ) ) {
    /**
     * Get the masvideos thumbnail, or the placeholder if not set.
     */
    function dali_get_movie_loop_thumbnail ( $size = 'masvideos_movie_large' ) {
        global $movie;
        $image_size = apply_filters( 'dali_movie_archive_thumbnail_size', $size );

        return $movie ? $movie->get_image( $image_size , array( 'class' => 'w-full h-full object-center object-cover rounded-[10px]' ) ) : '';
    }
}

if ( ! function_exists( 'dali_template_loop_movie_link_open' ) ) {
    /**
     * Insert the opening anchor tag for movies in the loop.
     */
    function dali_template_loop_movie_link_open() {
        global $movie;

        $link = apply_filters( 'dali_loop_movie_link', get_the_permalink(), $movie );

        echo '<a href="' . esc_url( $link ) . '" class="aspect-w-3 aspect-h-4 block">';
    }
}

if ( ! function_exists( 'dali_template_loop_movie_poster' ) ) {
    /**
     * movies poster in the loop.
     */
    function dali_template_loop_movie_poster() {
        echo dali_get_movie_loop_thumbnail ( 'masvideos_movie_large' );
    }
}


if ( ! function_exists( 'dali_template_loop_movie_link_close' ) ) {
    /**
     * Insert the opening anchor tag for movies in the loop.
     */
    function dali_template_loop_movie_link_close() {
        ?>
        </a>
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_movie_title_open' ) ) {

    /**
     * Show the movie title in the movie loop. By default this is an H4.
     */
    function dali_template_loop_movie_title_open() {
        ?>
        <h4 class="font-bold text-lg xl-text-24 leading-tight tracking-[-1px]">
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_movie_title_link' ) ) {
    /**
     * Insert the opening anchor tag for movies in the loop.
     */
    function dali_template_loop_movie_title_link() {
        global $movie;

        $link = apply_filters( 'dali_loop_movie_link', get_the_permalink(), $movie );

        the_title ( '<a href="' . esc_url( $link ) . '" class="">', '</a>' );
    }
}

if ( ! function_exists( 'dali_template_loop_movie_title_close' ) ) {

    /**
     * Show the movie title in the movie loop. By default this is an H3.
     */
    function dali_template_loop_movie_title_close() {
        ?>
        </h4>
        <?php
    }
}

if ( ! function_exists( 'dali_template_movies_loop_item_meta_open' ) ) {

    /**
     * Movie meta open in the movie meta.
     */
    function dali_template_movies_loop_item_meta_open() {
        ?>
        <ul class="md:flex hidden space-x-1.5 list-unstyled">
        <?php
    }
}

if ( ! function_exists( 'dali_template_movies_loop_item_release_year' ) ) {

    /**
     * Movie release year in the movie Item.
     */
    function dali_template_movies_loop_item_release_year() {
        global $movie;

        $relaese_year = '';
        $release_date = $movie->get_movie_release_date();
        if( ! empty( $release_date ) ) {
            $relaese_year = date( 'Y', strtotime( $release_date ) );
        }

        if( ! empty ( $relaese_year ) ) {
            echo sprintf( '<li class="text-da-gray-100">%s - </li>', $relaese_year );
        }
    }
}

if ( ! function_exists( 'dali_template_movies_loop_item_genres' ) ) {

    /**
     * Movie genres in the movie Item.
     */
    function dali_template_movies_loop_item_genres() {
        global $movie;

        $categories = get_the_term_list( $movie->get_id(), 'movie_genre', '', ', ' );

        if( ! empty ( $categories ) ) {
           echo '<li class="text-da-primary flex space-x-1.5">' . $categories . '</li>';
        }
    }
}

if ( ! function_exists( 'dali_template_movies_loop_item_meta_close' ) ) {

    /**
     * Movie meta close in the movie meta.
     */
    function dali_template_movies_loop_item_meta_close() {
        ?>
        </ul>
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_movie_item_close' ) ) {

    /**
     * Movie meta close in the movie meta.
     */
    function dali_template_loop_movie_item_close() {
        ?>
        </div>
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_movie_body_open' ) ) {

    /**
     * Movie meta close in the movie meta.
     */
    function dali_template_loop_movie_body_open() {
        ?>
        <div class="movie-body space-y-2.5">
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_movie_body_close' ) ) {

    /**
     * Movie meta close in the movie meta.
     */
    function dali_template_loop_movie_body_close() {
        ?>
        </div>
        <?php
    }
}