<?php
/**
 * Template functions for loop
*/

/**
 * Tv Shows loop items.
*/
if ( ! function_exists( 'dali_template_loop_tv_shows_item_open' ) ) {

    /**
     * TV Shows meta close in the video meta.
     */
    function dali_template_loop_tv_shows_item_open() {
        echo '<div class="space-y-4 mb-6 tv-show-inner">';
    }
}

if ( ! function_exists( 'dali_get_tv_show_thumbnail' ) ) {
    /**
     * Get the masvideos thumbnail, or the placeholder if not set.
     */
    function dali_get_tv_show_thumbnail( $size = 'masvideos_tv_show_medium' ) {
        global $tv_show;

        $image_size = apply_filters( 'dali_tv_show_archive_thumbnail_size', $size );
        return $tv_show ? $tv_show->get_image( $image_size , array( 'class' => 'tv-show__poster--image w-full h-full object-center object-cover rounded-[10px]' ) ) : '';
        
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_poster' ) ) {
    /**
     * videos poster in the loop.
     */
    function dali_template_loop_tv_shows_poster() {
        echo dali_get_tv_show_thumbnail ( 'masvideos_tv_show_medium' );
    }
}


if ( ! function_exists( 'dali_template_loop_tv_shows_link_open' ) ) {
    /**
     * Insert the opening anchor tag for videos in the loop.
     */
    function dali_template_loop_tv_shows_link_open() {
        global $tv_show;

        $link = apply_filters( 'dali_loop_tv_show_link', get_the_permalink(), $tv_show );

        echo '<a href="' . esc_url( $link ) . '" class="aspect-w-16 aspect-h-9 block">';
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_link_close' ) ) {
    /**
     * Insert the opening anchor tag for videos in the loop.
     */
    function dali_template_loop_tv_shows_link_close() {
        echo '</a>';
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_title_open' ) ) {

    /**
     * Show the video title in the video loop. By default this is an H4.
     */
    function dali_template_loop_tv_shows_title_open() {
        echo '<h6 class="text-base font-bold">';
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_title_link' ) ) {
    /**
     * Insert the opening anchor tag for videos in the loop.
     */
    function dali_template_loop_tv_shows_title_link() {
        global $tv_show;

        $link = apply_filters( 'dali_loop_tv_shows_link', get_the_permalink(), $tv_show );

        the_title ( '<a href="' . esc_url( $link ) . '" class="">', '</a>' );
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_title_close' ) ) {

    /**
     * Show the video title in the video loop. By default this is an H3.
     */
    function dali_template_loop_tv_shows_title_close() {
        echo '</h6>';
    }
}


if ( ! function_exists( 'dali_template_loop_video_item_close' ) ) {

    /**
     * Videos meta close in the video meta.
     */
    function dali_template_loop_video_item_close() {
        echo '</div>';
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_meta_wrap_open' ) ) {

    /**
     * tv shows meta wrap open in the video loop.
     */
    function dali_template_loop_tv_shows_meta_wrap_open() {
        ?>
        <ul class="lg:flex space-y-1 lg:space-y-0 md:space-x-3 tv-show-meta-wrap list-unstyled">
        <?php
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_body_inner_wrap_open' ) ) {

    /**
     * tv shows body inner wrap open in the video loop.
     */
    function dali_template_loop_tv_shows_body_inner_wrap_open() {
        ?>
        <div class="space-y-1">
        <?php
    }
}
if ( ! function_exists( 'dali_template_loop_tv_shows_body_inner_wrap_close' ) ) {

    /**
     * tv shows body inner wrap close in the video loop.
     */
    function dali_template_loop_tv_shows_body_inner_wrap_close() {
        ?>
        </div>
        <?php
    }
}
if ( ! function_exists( 'dali_template_loop_tv_shows_episode_number' ) ) {
        function dali_template_loop_tv_shows_episode_number() {
        global $episode;
        $episode_number = $episode->get_episode_number();
        if( apply_filters( 'dali_template_loop_episode_display_episode_number_before_title', true ) && ! empty( $episode_number ) ) {
            echo '<li class="dali-loop-episode__number episode__number"><span class="text-da-gray-100">' . $episode_number . '</span></li>';
        }
    }
}


if ( ! function_exists( 'dali_template_loop_tv_shows_meta_wrap_close' ) ) {

    /**
     * tv shows meta wrap close in the video loop.
     */
    function dali_template_loop_tv_shows_meta_wrap_close() {
        ?>
        </ul>
        <?php
    }
}


if ( ! function_exists( 'dali_template_loop_tv_shows_genres' ) ) {

    /**
     * TV Show genres in the tv show single.
     */
    function dali_template_loop_tv_shows_genres() {
        global $tv_show;

        $categories = get_the_term_list( $tv_show->get_id(), 'tv_show_genre', '', ', ' );

        if( ! empty ( $categories ) ) {
           echo '<li class="tv-show__meta--genre text-da-primary">' . $categories . '</li>';
        }
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_body_open' ) ) {
    function dali_template_loop_tv_shows_body_open() {
        ?><div class="2xl:flex space-y-3 2xl:space-y-0 justify-between items-start pt-0.5 tv-show-meta"><?php
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_body_close' ) ) {
    function dali_template_loop_tv_shows_body_close() {
        ?></div><?php
    }
}

if ( ! function_exists( 'dali_template_loop_tv_shows_item_close' ) ) {

    /**
     * tv shows meta close in the tv show meta.
     */
    function dali_template_loop_tv_shows_item_close() {
        ?>
        </div>
        <?php
    }
}

if ( ! function_exists( 'dali_template_single_tv_show_avg_rating' ) ) {
    /**
     * Single tv show rating open
     */
    function dali_template_single_tv_show_avg_rating() {
        global $tv_show;
        $rating = $tv_show->get_average_rating();
        ?>
        <?php if ( ! empty( $rating ) && $rating > 0 ) { ?>
            <div class="bg-[#111111] rounded-md px-1.5 py-1 inline-flex space-x-0.5 text-[#FFC200]">
                <?php echo masvideos_get_star_rating_html( $rating ); ?>
            </div>
        <?php } 
    }
}

if ( ! function_exists( 'dali_get_star_rating_html' ) ) {
    /**
     * Override WooCommerce star rating HTML
     *
     * @param  string $star_rating_html default HTML of star rating.
     * @param  float  $rating           average rating of the product.
     * @param  int    $count            total reviews.
     * @return string
     */
    function dali_get_star_rating_html( $star_rating_html, $rating, $count ) {

        $newline = "\n";

        if ( $rating > 0 ) {

            for ( $i = 0; $i < 5; $i++ ) {

                $diff = $rating - $i;
                if ( $diff > 0.5 ) {
                    $icon = 'fas fa-star';
                } elseif ( 0.5 === $diff ) {
                    $icon = 'fas fa-star-half-alt';
                } else {
                    $icon = 'far fa-star';
                }

                $star_rating_html .= '<i class="' . esc_attr( $icon ) . '"></i>';
                $star_rating_html .= esc_attr( $newline );

            }

        }

        return $star_rating_html;
    }
}