<?php
/**
 * The template for displaying movie content within loops
 *
 * This template can be overridden by copying it to yourtheme/masvideos/content-movie.php.
 *
 * HOWEVER, on occasion MasVideos will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @package MasVideos/Templates
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

global $movie;

// Ensure visibility.
if ( empty( $movie ) || ! $movie->is_visible() ) {
    return;
}
?>
<div <?php masvideos_movie_class(); ?>>
    <?php
    /**
     * Hook: masvideos_movies_loop_item_before.
     *
     * @hooked masvideos_template_loop_movie_item_open - 5
     */
    do_action( 'masvideos_movies_loop_item_before' );

    /**
     * Hook: masvideos_movies_loop_item_poster.
     *
     * @hooked masvideos_template_loop_movie_link_open - 10
     * @hooked masvideos_template_loop_movie_poster - 20
     * @hooked masvideos_template_loop_movie_link_close - 20
     */
    do_action( 'masvideos_movies_loop_item_poster' );

    /**
     * Hook: masvideos_movies_loop_item_title.
     *
     * @hooked masvideos_template_loop_movie_title_open - 10
     * @hooked masvideos_template_loop_movie_title_link - 20
     * @hooked masvideos_template_loop_movie_title_close - 30
     */
    do_action( 'masvideos_movies_loop_item_movie_title' );

    /**
     * Hook: masvideos_movies_loop_item_meta.
     *
     * @hooked masvideos_template_movies_loop_item_meta_open - 10
     * @hooked masvideos_template_movies_loop_item_release_year - 20
     * @hooked masvideos_template_movies_loop_item_genres - 30
     * @hooked masvideos_template_movies_loop_item_meta_close - 40
     */
    do_action( 'masvideos_movies_loop_item_meta' );

    /**
     * Hook: masvideos_movies_loop_item_after.
     *
     * @hooked masvideos_template_loop_movie_item_close - 50
     */
    do_action( 'masvideos_movies_loop_item_after' );
    ?>
</div>
